DbFilterStats (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.util

## Class DbFilterStats

- java.lang.Object
- - com.sleepycat.je.util.DbFilterStats

-     public class DbFilterStats
      extends Object

  Transform one or more je.stat.csv statistics files and write the output to stdout. A set of column names is used to specify the order and which columns are written to the output. The utility is used to create an output file that is easier to analyze by projecting and ordering only the data that is required. Each user specified column name will either be a exact match of a column in the file or a prefix match. In order to output the "time" and all "Op" group statistics a column list "time,Op" could be used. Multiple input files are processed in the order specified on the command line. Duplicate column headers are suppressed in the output when processing multiple input files.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DbFilterStats()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `execute(String[] argv)` Performs the processing of the DbFilterStats command.
    `static void` | `main(String[] argv)` The main used by the DbFilterStats utility.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DbFilterStats

          public DbFilterStats()

  - ### Method Detail

    - #### main

          public static void main(String[] argv)

      The main used by the DbFilterStats utility.
      Parameters:
        `argv` - An array of command line arguments to the DbFilterStats utility.

             usage: java { com.sleepycat.je.util.DbFilterStats | -jar
             je.jar DbFilterStats }
              -f  <projection file>
              -p  <column projection list> A comma separated list of column
                  names to project.
              <stat file> [<stat file>]

        At least one argument must be specified.

    - #### execute

          public boolean execute(String[] argv)

      Performs the processing of the DbFilterStats command.
      Parameters:
        `argv` - DbFilterStats command arguments
      Returns:
        true if command is successful, otherwise false

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.